{% extends "scores/views/base.html" %}
{% import 'scores/views/macros.html' as macros %}

{% block version %}Unity and Separateness{% endblock %}

{% block main %}
<h1>{{ "Unity and Separateness"|_ }}</h1>
<table>
  <thead>
    <tr>
      <th></th>
      <th>Plane / Sub Plane</th>
      <th>Aspect</th>
      <th>Unity Value</th>
      <th>Separateness Value</th>
    </tr>
  </thead>
  <tbody>
    {% for trait, plane in us_score.correspondances %}
    <tr class="{% if loop.index % 5 == 1 %}section{% endif %}">
      <th class=plane>
        {% if loop.index == 5 %}<div>{{ "Spiritual"|_ }}</div>{% endif %}
        {% if loop.index == 10 %}<div>{{ "Intellectual"|_ }}</div>{% endif %}
        {% if loop.index == 15 %}<div>{{ "Emotional"|_ }}</div>{% endif %}
        {% if loop.index == 20 %}<div>{{ "Material"|_ }}</div>{% endif %}
        {% if loop.index == 25 %}<div>{{ "Sexual"|_ }}</div>{% endif %}
      </th>
      <th>{{ trait|_ }}</th>
      <td>{{ ("us." + plane)|_ }}</td>
      {% set value = us_score.scores[trait] %}
      <td>{% if value > 0 %}{{ value }}{% endif %}</td>
      <td>{% if value < 0 %}{{ value|abs }}{% endif %}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<hr>

<h1>{{ "Unity and Separateness"|_ }}</h1>

<p>Date: …………………………………………</p>
<table class=columned>
  <thead>
    <tr>
      <th colspan=2></th>
      <th colspan=2>Awareness Diagnosis</th>
      <th colspan=2>Listening to the Psyche Diagnosis</th>
      <th colspan=2>TCI Diagnosis</th>
      <th colspan=2>General Diagnosis</th>
    </tr>
    <tr>
      <th colspan=2> Plane / Sub Plane</th>
      <th>Unity Value</th>
      <th>Separateness Value</th>
      <th>Unity Value</th>
      <th>Separateness Value</th>
      <th>Unity Value</th>
      <th>Separateness Value</th>
      <th>Unity Value</th>
      <th>Separateness Value</th>
    </tr>
  </thead>
  <tbody>
    {% for trait, plane in us_score.correspondances %}
    <tr class="{% if loop.index % 5 == 1 %}section{% endif %}">
      <th class=plane>
        {% if loop.index == 5 %}<div>{{ "Spiritual"|_ }}</div>{% endif %}
        {% if loop.index == 10 %}<div>{{ "Intellectual"|_ }}</div>{% endif %}
        {% if loop.index == 15 %}<div>{{ "Emotional"|_ }}</div>{% endif %}
        {% if loop.index == 20 %}<div>{{ "Material"|_ }}</div>{% endif %}
        {% if loop.index == 25 %}<div>{{ "Sexual"|_ }}</div>{% endif %}
      </th>
      <th>
        {% if loop.index % 5 == 1 %}<div>{{ "Spiritual"|_ }}</div>{% endif %}
        {% if loop.index % 5 == 2 %}<div>{{ "Intellectual"|_ }}</div>{% endif %}
        {% if loop.index % 5 == 3 %}<div>{{ "Emotional"|_ }}</div>{% endif %}
        {% if loop.index % 5 == 4 %}<div>{{ "Material"|_ }}</div>{% endif %}
        {% if loop.index % 5 == 0 %}<div>{{ "Sexual"|_ }}</div>{% endif %}
      </th>
      <td> </td>
      <td> </td>
      <td> </td>
      <td> </td>
      {% set value = us_score.scores[trait] %}
      <td>{% if value > 0 %}{{ value }}{% endif %}</td>
      <td>{% if value < 0 %}{{ value|abs }}{% endif %}</td>
      <td> </td>
      <td> </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<style>
  tr, td {
    text-align: left;
  }
  tr.section {
    border-top: 2px solid #ddd;
  }
  .plane {
    border-right: 1px solid #ddd;
    width: 20px;
  }
  .plane div {
    position: absolute;
    display: block;
    background-color: #fff;
    transform: rotate(-90deg);
    transform-origin: top left;
    -webkit-transform: rotate(-90deg);
    -webkit-transform-origin: top left;
    width: 100px;
    margin-left: -1px;
    text-align: center;
  }

  table.columned td:not(:last-child),
  table.columned th:not(:last-child) {
    border-right: 1px solid #ccc;
  }
  table.columned thead th {
    border-bottom: 1px solid #ccc;
  }
</style>
{% endblock %}
